com.h3c.sdn.misc

## Class ResponseData

- java.lang.Object
- - com.h3c.sdn.misc.ResponseData

-     public class ResponseData
      extends Object

  Captures the response data and the response status code

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseData(int status, String phrase, byte[] data)` Constructor capturing the response status and data information
    `ResponseData(int status, String phrase, List<org.apache.http.Header> headers, byte[] data)` Constructor capturing the response status and data information

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `data()`
    `List<org.apache.http.Header>` | `headers()`
    `int` | `status()`
    `String` | `statusPhrase()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponseData

          public ResponseData(int status,
                      String phrase,
                      List<org.apache.http.Header> headers,
                      byte[] data)

      Constructor capturing the response status and data information
      Parameters:
        `status` - the status code reported by the request
        `phrase` - the phrase associated with the status code
        `headers` - headers from the response
        `data` - the response data

    - #### ResponseData

          public ResponseData(int status,
                      String phrase,
                      byte[] data)

      Constructor capturing the response status and data information
      Parameters:
        `status` - the status code reported by the request
        `phrase` - the phrase associated with the status code
        `data` - the response data

  - ### Method Detail

    - #### headers

          public List<org.apache.http.Header> headers()

      Returns:
        headers from the response

    - #### status

          public int status()

      Returns:
        the status code

    - #### statusPhrase

          public String statusPhrase()

      Returns:
        the textual phrase associated with the status code

    - #### data

          public byte[] data()

      Returns:
        the byte array representation of the response data

Copyright © 2014. All Rights Reserved.